package com.bcxin.ins.service.product;

import com.bcxin.ins.vo.ClientUserVo;
import com.bcxin.ins.vo.DwzPage;
import com.bcxin.ins.vo.ProductVo;

import java.util.List;


public interface ProductService {

	public String setSharePath(Long oid, ClientUserVo userVo);
	
	public List<ProductVo> getProducts();

	public List<ProductVo> getProductsByOnLine(String code);

	public List<ProductVo> getProductsByCodeForNotCache(String code);

	public List<ProductVo> getProductsByConditionAndPage(String pro_type, String condition, DwzPage page);

	public ProductVo getProduct(long productID);

	public String getProductIDByCode(String productCode);

	public int api_request_sign(String product_code);

	public String listProductAndResponsibility();
}